Unit CpuInfoF;

Interface

Uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  CpuInfo, StdCtrls, Buttons, ExtCtrls;

Type
  TCpuIdFr = Class ( TForm )
    Panel3 : TPanel;
    Label28 : TLabel;
    Label1 : TLabel;
    Label2 : TLabel;
    Label3 : TLabel;
    Label4 : TLabel;
    Label5 : TLabel;
    VendorLbl : TLabel;
    SteppingLbl : TLabel;
    ModelLbl : TLabel;
    FamilyLbl : TLabel;
    SubmodelLbl : TLabel;
    CpuLbl : TLabel;
    Label6 : TLabel;
    SpeedLbl : TLabel;
    Label26 : TLabel;
    Panel1 : TPanel;
    CloseBtn : TBitBtn;
    Label27 : TLabel;
    Panel2 : TPanel;
    Label7 : TLabel;
    L1 : TLabel;
    L2 : TLabel;
    Label8 : TLabel;
    Label9 : TLabel;
    L3 : TLabel;
    L4 : TLabel;
    Label10 : TLabel;
    Label11 : TLabel;
    L5 : TLabel;
    L6 : TLabel;
    Label16 : TLabel;
    Label12 : TLabel;
    L7 : TLabel;
    L8 : TLabel;
    Label13 : TLabel;
    Label14 : TLabel;
    L9 : TLabel;
    Label15 : TLabel;
    L10 : TLabel;
    Label17 : TLabel;
    L11 : TLabel;
    L12 : TLabel;
    Label18 : TLabel;
    Label19 : TLabel;
    L13 : TLabel;
    L14 : TLabel;
    Label20 : TLabel;
    Label21 : TLabel;
    L15 : TLabel;
    L16 : TLabel;
    Label22 : TLabel;
    Label23 : TLabel;
    L17 : TLabel;
    L18 : TLabel;
    Label24 : TLabel;
    Label25 : TLabel;
    L19 : TLabel;
    Panel4 : TPanel;
    TLBCLbl : TLabel;
    TLBDLbl : TLabel;
    L1CLbl : TLabel;
    L2Lbl : TLabel;
    L1DLbl : TLabel;
    Procedure FormCreate ( Sender : TObject );
  private
    { Private declarations }
  public
    { Public declarations }
  End;

Var
  CpuIdFr                               : TCpuIdFr;
  C                                     : TCpuFeatures;

Implementation

{$R *.DFM}




Procedure TCpuIdFr.FormCreate ( Sender : TObject );
Begin

  C := TCpuFeatures.Create ( Application );
  SpeedLbl.Caption := formatfloat ( '###.#', C.CpuSpeed );
  CpuLbl.Caption := C.CpuType;
  SubmodelLbl.Caption := C.CpuSubmodel;
  FamilyLbl.Caption := C.CpuFamily;
  ModelLbl.Caption := C.CpuModel;
  SteppingLbl.Caption := C.CpuStepping;
  VendorLbl.Caption := C.CpuVendor;
  If C.CpuInstFxsaveSupport Then Begin
      L1.Caption := 'Yes';
      L1.Font.Color := clGreen;
    End
  Else Begin
      L1.Caption := 'No';
      L1.Font.Color := clRed;
    End;
  If C.CpuMMXSupport Then Begin
      L2.Caption := 'Yes';
      L2.Font.Color := clGreen;
    End
  Else Begin
      L2.Caption := 'No';
      L2.Font.Color := clRed;
    End;
  If C.Cpu36bitPageSizeExtSupport Then Begin
      L3.Caption := 'Yes';
      L3.Font.Color := clGreen;
    End
  Else Begin
      L3.Caption := 'No';
      L3.Font.Color := clRed;
    End;
  If C.CpuPageAttribTableSupport Then Begin
      L4.Caption := 'Yes';
      L4.Font.Color := clGreen;
    End
  Else Begin
      L4.Caption := 'No';
      L4.Font.Color := clRed;
    End;
  If C.CpuCMOVccOpcodeSupport Then Begin
      L5.Caption := 'Yes';
      L5.Font.Color := clGreen;
    End
  Else Begin
      L5.Caption := 'No';
      L5.Font.Color := clRed;
    End;
  If C.CpuMachineCheckSupport Then Begin
      L6.Caption := 'Yes';
      L6.Font.Color := clGreen;
    End
  Else Begin
      L6.Caption := 'No';
      L6.Font.Color := clRed;
    End;
  If C.CpuPageGlobalExtensionSupport Then Begin
      L7.Caption := 'Yes';
      L7.Font.Color := clGreen;
    End
  Else Begin
      L7.Caption := 'No';
      L7.Font.Color := clRed;
    End;
  If C.CpuMTRRSuppoer Then Begin
      L8.Caption := 'Yes';
      L8.Font.Color := clGreen;
    End
  Else Begin
      L8.Caption := 'No';
      L8.Font.Color := clRed;
    End;
  If C.CpuSysenterExtSupport Then Begin
      L9.Caption := 'Yes';
      L9.Font.Color := clGreen;
    End
  Else Begin
      L9.Caption := 'No';
      L9.Font.Color := clRed;
    End;
  If C.CpuEnabledAPICContains Then Begin
      L10.Caption := 'Yes';
      L10.Font.Color := clGreen;
    End
  Else Begin
      L10.Caption := 'No';
      L10.Font.Color := clRed;
    End;
  If C.CpuCMPXCHG8BSupport Then Begin
      L11.Caption := 'Yes';
      L11.Font.Color := clGreen;
    End
  Else Begin
      L11.Caption := 'No';
      L11.Font.Color := clRed;
    End;
  If C.CpuMachineChkExceptionSupport Then Begin
      L12.Caption := 'Yes';
      L12.Font.Color := clGreen;
    End
  Else Begin
      L12.Caption := 'No';
      L12.Font.Color := clRed;
    End;
  If C.CpuPhysAddrExtSupport Then Begin
      L13.Caption := 'Yes';
      L13.Font.Color := clGreen;
    End
  Else Begin
      L13.Caption := 'No';
      L13.Font.Color := clRed;
    End;
  If C.CpuModelSpecRegSupport Then Begin
      L14.Caption := 'Yes';
      L14.Font.Color := clGreen;
    End
  Else Begin
      L14.Caption := 'No';
      L14.Font.Color := clRed;
    End;
  If C.CpuTimeStampCntSupport Then Begin
      L15.Caption := 'Yes';
      L15.Font.Color := clGreen;
    End
  Else Begin
      L15.Caption := 'No';
      L15.Font.Color := clRed;
    End;
  If C.CpuPageSizeExtSupport Then Begin
      L16.Caption := 'Yes';
      L16.Font.Color := clGreen;
    End
  Else Begin
      L16.Caption := 'No';
      L16.Font.Color := clRed;
    End;
  If C.CpuDebuggingExtSupport Then Begin
      L17.Caption := 'Yes';
      L17.Font.Color := clGreen;
    End
  Else Begin
      L17.Caption := 'No';
      L17.Font.Color := clRed;
    End;
  If C.CpuVirtualModeExtSupport Then Begin
      L18.Caption := 'Yes';
      L18.Font.Color := clGreen;
    End
  Else Begin
      L18.Caption := 'No';
      L18.Font.Color := clRed;
    End;
  If C.CpuBuiltinFPU Then Begin
      L19.Caption := 'Yes';
      L19.Font.Color := clGreen;
    End
  Else Begin
      L19.Caption := 'No';
      L19.Font.Color := clRed;
    End;
  If C.CpuIdLevelSupport > 1 Then Begin
      TLBCLbl.Caption := C.CodeTLB;
      TLBDLbl.Caption := C.DataTLB;
      L1CLbl.Caption := C.L1CodeCache;
      L1DLbl.Caption := C.L1DataCache;
      L2Lbl.Caption := C.L2Cache;
    End;
End;













End.

